Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
Class ClassLoaderForClassArtifacts

    java.lang.Object
      java.lang.ClassLoader
          org.codehaus.groovy.reflection.SunClassLoader
              org.codehaus.groovy.runtime.callsite.GroovySunClassLoader
                  org.codehaus.groovy.reflection.ClassLoaderForClassArtifacts

    class ClassLoaderForClassArtifacts
    extends GroovySunClassLoader

Field Summary
`SoftReference` | `klazz`

Fields inherited from class SunClassLoader
knownClasses, sunVM

Constructor Summary
`ClassLoaderForClassArtifacts(Class klazz)`

Method Summary
`String` | `createClassName(Method method)`
`Class` | `define(String name, byte[] bytes)`
`Constructor` | `defineClassAndGetConstructor(String name, byte[] bytes)`
`Class` | `loadClass(String name)`

Methods inherited from class SunClassLoader
define, doesKnow, loadClass, loadFromRes, resName

Methods inherited from class ClassLoader
loadClass, getSystemClassLoader, getResource, getResourceAsStream, getSystemResource, getSystemResourceAsStream, clearAssertionStatus, getParent, getResources, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### klazz

    final SoftReference klazz

Constructor Detail

### ClassLoaderForClassArtifacts

    public ClassLoaderForClassArtifacts(Class klazz)

Method Detail

### createClassName

    public String createClassName(Method method)

### define

    public Class define(String name, byte[] bytes)

### defineClassAndGetConstructor

    public Constructor defineClassAndGetConstructor(String name, byte[] bytes)

### loadClass

    public Class loadClass(String name)

Copyright © 2003-2009 The Codehaus. All rights reserved.